FreeMat

- Main Page
- Related Pages

vtkReverseSense

Section: Visualization Toolkit Graphics Classes

# Usage

vtkReverseSense is a filter that reverses the order of polygonal cells and/or reverses the direction of point and cell normals. Two flags are used to control these operations. Cell reversal means reversing the order of indices in the cell connectivity list. Normal reversal means multiplying the normal vector by -1 (both point and cell normals, if present).

To create an instance of class vtkReverseSense, simply invoke its constructor as follows

      obj = vtkReverseSense

# Methods

The class vtkReverseSense has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkReverseSense class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkReverseSense = obj.NewInstance ()`
- `vtkReverseSense = obj.SafeDownCast (vtkObject o)`
- `obj.SetReverseCells (int )` - Flag controls whether to reverse cell ordering.
- `int = obj.GetReverseCells ()` - Flag controls whether to reverse cell ordering.
- `obj.ReverseCellsOn ()` - Flag controls whether to reverse cell ordering.
- `obj.ReverseCellsOff ()` - Flag controls whether to reverse cell ordering.
- `obj.SetReverseNormals (int )` - Flag controls whether to reverse normal orientation.
- `int = obj.GetReverseNormals ()` - Flag controls whether to reverse normal orientation.
- `obj.ReverseNormalsOn ()` - Flag controls whether to reverse normal orientation.
- `obj.ReverseNormalsOff ()` - Flag controls whether to reverse normal orientation.